<?php

use kernel\App;
use kernel\CgRouteCollector;
use Phroute\Phroute\RouteCollector;

App::$collector->filter("auth", [\kernel\middlewares\AuthMiddleware::class, "handler"]);

App::$collector->group(["prefix" => "admin"], function (RouteCollector $router){
    App::$collector->group(["before" => "auth"], function (RouteCollector $router){
        App::$collector->get('/', [\kernel\controllers\ModuleController::class, 'actionIndex']);
    });
    App::$collector->get('/login', [\kernel\modules\secure\controllers\SecureController::class, 'actionLogin']);
    App::$collector->get('/logout', [\kernel\modules\secure\controllers\SecureController::class, 'actionLogout']);
    App::$collector->post('/auth', [\kernel\modules\secure\controllers\SecureController::class, 'actionAuth']);
});

App::$collector->group(["prefix" => "api"], function (CgRouteCollector $router){
    App::$collector->group(["prefix" => "secure"], function (CgRouteCollector $router) {
        App::$collector->post('/auth', [\kernel\modules\secure\controllers\SecureRestController::class, 'actionAuth']);
    });
});

